#!/bin/sh

IP_SERVER=$(echo $SERVER | cut -d ':' -f1)
PORT_SERVER=$(echo $SERVER | cut -d ':' -f2)

run() {
  chroot "$ROOTFS_DIR" $@
}

echo "[Firewall configuration...]"

run ufw default deny incoming
run ufw default deny outgoing
run ufw allow out from any to $IP_SERVER port $PORT_SERVER proto tcp
run ufw allow out from any to any port 123 proto udp
run ufw allow out from any to any port 53 proto udp
run ufw allow out from any to $IP_SERVER port 1025:65535 proto tcp
run ufw enable
