module nexush

go 1.22.2

replace nexus-common/buildversion => ../../common/buildversion

replace nexus-common/caps => ../../common/caps

replace nexus-common/params => ../../common/params

replace nexus-common/vm => ../../common/vm

replace nexus-common/template => ../../common/template

replace nexus-client/version => ../version

replace nexus-client/globals => ../globals

replace nexus-client/defaults => ../defaults

replace nexus-common/utils => ../../common/utils

replace nexus-client/utils => ../utils

replace nexus-client/cmd => ../cmd

replace nexus-client/cmdMisc => ../cmdMisc

replace nexus-client/cmdLogin => ../cmdLogin

replace nexus-client/cmdToken => ../cmdToken

replace nexus-client/cmdTemplate => ../cmdTemplate

replace nexus-client/cmdUser => ../cmdUser

replace nexus-client/cmdVM => ../cmdVM

replace nexus-client/exec => ../exec

replace nexus-client/cmdVersion => ../cmdVersion

require (
	github.com/go-resty/resty/v2 v2.15.3
	github.com/peterh/liner v1.2.2
	golang.org/x/term v0.25.0
	nexus-client/cmd v0.0.0-00010101000000-000000000000
	nexus-client/cmdLogin v0.0.0-00010101000000-000000000000
	nexus-client/cmdMisc v0.0.0-00010101000000-000000000000
	nexus-client/cmdTemplate v0.0.0-00010101000000-000000000000
	nexus-client/cmdToken v0.0.0-00010101000000-000000000000
	nexus-client/cmdUser v0.0.0-00010101000000-000000000000
	nexus-client/cmdVM v0.0.0-00010101000000-000000000000
	nexus-client/cmdVersion v0.0.0-00010101000000-000000000000
	nexus-client/defaults v0.0.0-00010101000000-000000000000
	nexus-client/globals v0.0.0-00010101000000-000000000000
	nexus-client/utils v0.0.0-00010101000000-000000000000
	nexus-client/version v0.0.0-00010101000000-000000000000
	nexus-common/buildversion v0.0.0-00010101000000-000000000000
	nexus-common/utils v0.0.0-00010101000000-000000000000
)

require (
	github.com/gabriel-vasile/mimetype v1.4.5 // indirect
	github.com/go-pdf/fpdf v0.9.0 // indirect
	github.com/go-playground/locales v0.14.1 // indirect
	github.com/go-playground/universal-translator v0.18.1 // indirect
	github.com/go-playground/validator/v10 v10.22.1 // indirect
	github.com/google/uuid v1.6.0 // indirect
	github.com/leodido/go-urn v1.4.0 // indirect
	github.com/mattn/go-runewidth v0.0.16 // indirect
	github.com/rivo/uniseg v0.4.7 // indirect
	golang.org/x/crypto v0.28.0 // indirect
	golang.org/x/net v0.30.0 // indirect
	golang.org/x/sys v0.26.0 // indirect
	golang.org/x/text v0.19.0 // indirect
	nexus-client/exec v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/caps v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/params v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/template v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/vm v0.0.0-00010101000000-000000000000 // indirect
)
